CreateMembership - AWS Security Agent

CreateMembership

Creates a new membership, granting a user access to an agent space within an application.

Request Syntax

POST /CreateMembership HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "applicationId": "string", "config": { ... }, "membershipId": "string", "memberType": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space to grant access to.

Type: String

Required: Yes

applicationId

The unique identifier of the application that contains the agent space.

Type: String

Required: Yes

config

The configuration for the membership, such as the user role.

Type: MembershipConfig object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: No

membershipId

The unique identifier for the membership.

Type: String

Required: Yes

memberType

The type of member. Currently, only USER is supported.

Type: String

Valid Values: USER

Required: Yes

Response Syntax

HTTP/1.1 200

Response Elements

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: